VelocityReport Plugin - Defect #349

Pie Chart: legend is not drawn if a color is not specified
07/29/2011 03:40 PM - Nicola Gervasi

Status: Closed Start date: 07/29/2011
Priority: Normal Due date:

Assignee: % Done: 100%
Category: charting Estimated time: 0.00 hour

Target version:

Browser (if web
client):

Description
Sometimes when drawing a chart you don't want to select colors but let the tool generates colors for you (very nice feature when it
uses gradients), but it doesn't work.

This works fine:

chartDef.slices = [ {percent: 29.5, color: '#FF0000', label: 'Thirty', legend: Thirty L'}, {percent: 25, color: '#00FF00', label:
"Twenty-Five', legend: '"Twenty-Five L'}
]

this does not (the legend is not drawn):

chartDef.slices = [ {percent: 29.5, label: 'Thirty', legend: 'Thirty L", {percent: 25, label: "Twenty-Five', legend: 'Twenty-Five
L}
]

History

#1 - 08/15/2011 03:31 AM - Patrick Talbot

- Status changed from New to In Progress

#2 - 08/15/2011 03:36 AM - Patrick Talbot
- Status changed from In Progress to Closed

- % Done changed from 0 to 100

Fixed with v1.4.14
